
Foreman - Bug #5105

default Setting['remove_classes_not_in_environment'] to true and have class_selection partial

show/hide inherited classes from parent based on this setting

04/08/2014 07:10 AM - Joseph Magen

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: Web Interface   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

currently UI shows all classes from parent whether they are in environment or not

Related issues:

Related to Foreman - Bug #7490: Foreman does not check for Environment match ... New 09/17/2014

Associated revisions

Revision 9cb45fda - 04/13/2014 08:27 PM - Joseph Magen

fixes #5105 - remove Setting['remove_classes_not_in_environment']

History

#1 - 04/08/2014 07:19 AM - Joseph Magen

- Subject changed from class selection show show/hide inherited classes from parent based on Setting['remove_classes_not_in_environment'] to class

selection show/hide inherited classes from parent based on Setting['remove_classes_not_in_environment']

#2 - 04/08/2014 11:17 AM - Joseph Magen

- Subject changed from class selection show/hide inherited classes from parent based on Setting['remove_classes_not_in_environment'] to default

Setting['remove_classes_not_in_environment'] to true and have class_selection partial show/hide inherited classes from parent based on this setting

currently the UI shows on inherited classes from parent whether or not they are in environment

#3 - 04/08/2014 01:17 PM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1360

#4 - 04/13/2014 09:31 PM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 9cb45fda9e08be518d7662d160cc48b5c1eac9ae.

#5 - 04/13/2014 10:57 PM - Dominic Cleal

- translation missing: en.field_release set to 4

#6 - 09/17/2014 09:21 AM - Dominic Cleal

- Related to Bug #7490: Foreman does not check for Environment match when assigning Host to HostGroup added
